2016-12-09 13:34 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000754OpenFOAM[All Projects] Bugpublic2013-03-14 08:59
Reporterwyldckat 
Assigned Touser2 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000754: pdfDict example is outdated
DescriptionThe example provided at "$FOAM_APP/utilities/postProcessing/miscellaneous/pdfPlot/pdfDict" is outdated. Attached is a tested update.
Steps To Reproducerun
rm -r tutorials
cp -r $FOAM_TUTORIALS .
cd tutorials/incompressible/pimpleFoam/TJunction
foamRunTutorials
cp $FOAM_APP/utilities/postProcessing/miscellaneous/pdfPlot/pdfDict constant/

pdfPlot #and it quits with some error messages.
TagsNo tags attached.
Attached Files
  • ? file icon pdfDict (1,189 bytes) 2013-02-23 22:17 -
    /*--------------------------------*- C++ -*----------------------------------*\
    | =========                 |                                                 |
    | \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox           |
    |  \\    /   O peration     | Version:  2.1.x                                 |
    |   \\  /    A nd           | Web:      www.OpenFOAM.org                      |
    |    \\/     M anipulation  |                                                 |
    \*---------------------------------------------------------------------------*/
    FoamFile
    {
        version     2.0;
        format      ascii;
        class       dictionary;
        object      pdfDict;
    }
    // * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
    
    // Number of intervals/bins in pdf plot
    nIntervals      20;
    
    // Number of samples
    nSamples        10000;
    
    // Type of pdf
    type         RosinRammler;
    
    // Write data flag
    writeData       true;
    
    // PDF model coefficients
    RosinRammlerDistribution
    {
        minValue        1e-06;
        maxValue        200e-06;
        d               60.0e-06;
        n               0.8;
    }
    
    // ************************************************************************* //
    
    ? file icon pdfDict (1,189 bytes) 2013-02-23 22:17 +

-Relationships
+Relationships

-Notes

~0001975

wyldckat (updater)

FYI: Same issue still happens on 2.2.x and the attached file works fine with 2.2.x as well.

Just a reminder that the attached file is for updating the file "$FOAM_APP/utilities/postProcessing/miscellaneous/pdfPlot/pdfDict".

~0001994

user2

Thanks for the report - fixed by commit de29877

~0001999

wyldckat (updater)

Sorry, but there are a couple of details missing:

1- the current pdfDict in 2.2.x (commit 9f6379a205a05ff0710b1c25bffdc8a5757c42dc) has the following two lines:

    d (60.0e-06);
    n (0.8);

With them, it stops with this message:

  --> FOAM FATAL IO ERROR:
  wrong token type - expected Scalar, found on line 34 the punctuation token '('

  file: /home/user/OpenFOAM/user-2.2.x/run/tutorials/incompressible/pimpleFoam/TJunction/constant/pdfDict.RosinRammlerDistribution.d at line 34.

      From function operator>>(Istream&, Scalar&)
      in file lnInclude/Scalar.C at line 91.

  FOAM exiting


The attached file has the following two lines and does not have any problems:

    d 60.0e-06;
    n 0.8;


2- The current header in pdfDict has "Version: dev". I think it should have "Version: 2.2.x" or "Version: 2.2.0"...

~0002000

user2

Resolved by commit 701777c
+Notes

-Issue History
Date Modified Username Field Change
2013-02-23 22:17 wyldckat New Issue
2013-02-23 22:17 wyldckat File Added: pdfDict
2013-03-11 21:50 wyldckat Note Added: 0001975
2013-03-13 14:48 user2 Note Added: 0001994
2013-03-13 14:48 user2 Status new => resolved
2013-03-13 14:48 user2 Fixed in Version => 2.2.x
2013-03-13 14:48 user2 Resolution open => fixed
2013-03-13 14:48 user2 Assigned To => user2
2013-03-13 20:10 wyldckat Note Added: 0001999
2013-03-13 20:10 wyldckat Status resolved => feedback
2013-03-13 20:10 wyldckat Resolution fixed => reopened
2013-03-14 08:59 user2 Note Added: 0002000
2013-03-14 08:59 user2 Status feedback => resolved
2013-03-14 08:59 user2 Resolution reopened => fixed
+Issue History